<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="8a9b6cfd-e944-4fb0-ae36-60aab8d4829e" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/.gitignore" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/pom.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/base/annotation/MybatisDao.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/base/obiects/WebUser.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/base/timer/TimerTask.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/base/utils/CookieUtil.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/base/utils/MD5.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/base/utils/RandomValidateCode.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/xyz/nongfah/User/controller/UserController.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/xyz/nongfah/User/dao/UserMapper.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/xyz/nongfah/User/mapper/UserMapper.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/xyz/nongfah/User/model/User.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/xyz/nongfah/User/service/UserService.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/xyz/nongfah/admin/SecurityInterceptor.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/resources/ContextApplication.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/resources/Spring-Task.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/resources/db.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/resources/log4j.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/resources/mybatis-config.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/resources/spring-mvc.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/WEB-INF/lib/jackson-annotations-2.2.1.jar" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/WEB-INF/lib/jackson-core-2.2.1.jar" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/WEB-INF/lib/jackson-databind-2.2.1.jar" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/WEB-INF/views/login.jsp" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/WEB-INF/views/logon.jsp" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/WEB-INF/web.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/index.jsp" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/image/38c3e86452ac1471.jpg" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/image/vx.png" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/image/下载.jpg" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/js/echarts.common.min.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/js/jquery-3.3.1.min.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/css/layui.css" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/css/layui.mobile.css" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/css/modules/code.css" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/css/modules/laydate/default/laydate.css" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/css/modules/layer/default/icon-ext.png" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/css/modules/layer/default/icon.png" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/css/modules/layer/default/layer.css" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/css/modules/layer/default/loading-0.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/css/modules/layer/default/loading-1.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/css/modules/layer/default/loading-2.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/font/iconfont.eot" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/font/iconfont.svg" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/font/iconfont.ttf" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/font/iconfont.woff" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/0.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/1.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/10.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/11.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/12.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/13.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/14.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/15.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/16.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/17.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/18.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/19.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/2.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/20.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/21.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/22.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/23.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/24.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/25.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/26.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/27.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/28.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/29.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/3.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/30.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/31.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/32.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/33.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/34.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/35.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/36.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/37.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/38.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/39.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/4.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/40.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/41.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/42.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/43.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/44.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/45.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/46.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/47.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/48.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/49.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/5.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/50.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/51.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/52.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/53.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/54.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/55.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/56.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/57.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/58.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/59.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/6.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/60.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/61.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/62.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/63.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/64.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/65.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/66.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/67.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/68.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/69.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/7.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/70.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/71.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/8.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/images/face/9.gif" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/carousel.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/code.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/colorpicker.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/element.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/flow.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/form.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/jquery.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/laydate.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/layedit.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/layer.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/laypage.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/laytpl.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/mobile.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/rate.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/slider.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/table.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/tree.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/upload.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/lay/modules/util.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/layui.all.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/layui-v2.4.5/layui.js" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/style/base.css" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/webapp/static/style/style.css" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/webapp/index.jsp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="471">
              <caret line="241" column="5" selection-start-line="239" selection-end-line="255" selection-end-column="7" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/base/obiects/WebUser.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="66">
              <caret line="3" column="13" selection-start-line="3" selection-start-column="13" selection-end-line="3" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/base/timer/TimerTask.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="110">
              <caret line="8" column="13" selection-start-line="8" selection-start-column="13" selection-end-line="8" selection-end-column="13" />
              <folding>
                <element signature="e#415#416#0" expanded="true" />
                <element signature="e#468#469#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/base/utils/CookieUtil.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="176">
              <caret line="17" column="13" selection-start-line="17" selection-start-column="13" selection-end-line="17" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/base/utils/MD5.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="154">
              <caret line="8" column="13" selection-start-line="8" selection-start-column="13" selection-end-line="8" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/base/utils/RandomValidateCode.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="22">
              <caret line="10" column="13" selection-start-line="10" selection-start-column="13" selection-end-line="10" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/xyz/nongfah/User/controller/UserController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-330">
              <caret line="21" column="29" lean-forward="true" selection-start-line="21" selection-start-column="29" selection-end-line="21" selection-end-column="29" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="spring-beans.schema" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>config/log4j.properties</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/resources/log4j.properties" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/resources/ContextApplication.xml" />
        <option value="$PROJECT_DIR$/src/main/webapp/WEB-INF/web.xml" />
        <option value="$PROJECT_DIR$/src/main/resources/spring-mvc.xml" />
        <option value="$PROJECT_DIR$/src/main/java/xyz/nongfah/User/User/dao/UserMapper.java" />
        <option value="$PROJECT_DIR$/src/main/java/xyz/nongfah/admin/SecurityInterceptor.java" />
        <option value="$PROJECT_DIR$/src/main/java/xyz/nongfah/User/User/service/UserService.java" />
        <option value="$PROJECT_DIR$/src/main/java/xyz/nongfah/User/service/UserService.java" />
        <option value="$PROJECT_DIR$/src/main/webapp/index.jsp" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="ROOT" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="ROOT" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="12" />
    <option name="y" value="297" />
    <option name="width" value="1382" />
    <option name="height" value="744" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="nongfahSSM" type="b2602c69:ProjectViewProjectNode" />
              <item name="nongfahSSM" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nongfahSSM" type="b2602c69:ProjectViewProjectNode" />
              <item name="nongfahSSM" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nongfahSSM" type="b2602c69:ProjectViewProjectNode" />
              <item name="nongfahSSM" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nongfahSSM" type="b2602c69:ProjectViewProjectNode" />
              <item name="nongfahSSM" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nongfahSSM" type="b2602c69:ProjectViewProjectNode" />
              <item name="nongfahSSM" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="nongfah" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nongfahSSM" type="b2602c69:ProjectViewProjectNode" />
              <item name="nongfahSSM" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="nongfah" type="462c0819:PsiDirectoryNode" />
              <item name="User" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nongfahSSM" type="b2602c69:ProjectViewProjectNode" />
              <item name="nongfahSSM" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="nongfah" type="462c0819:PsiDirectoryNode" />
              <item name="User" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="android.sdk.path" value="$USER_HOME$/AppData/Local/Android/Sdk" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1545799209644" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../913ssm/pom.xml" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="project.structure.last.edited" value="Libraries" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="AndroidSdkUpdater" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\workspace\nongfahSSM" />
      <recent name="D:\workspace\nongfahSSM\src\main\webapp" />
      <recent name="D:\workspace\nongfahSSM\src\main\java\xyz\nongfah\User" />
      <recent name="D:\workspace\nongfahSSM\src\main\webapp\WEB-INF\views" />
      <recent name="D:\workspace\nongfahSSM\src\main\resources" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="xyz.nongfah.admin" />
      <recent name="base.annotation" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\workspace\nongfahSSM\src\main\webapp\WEB-INF\lib" />
      <recent name="D:\workspace\nongfahSSM\src\main\webapp\WEB-INF" />
      <recent name="D:\workspace\nongfahSSM\src\main" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="nongfahSSM [tomcat7:run]" type="MavenRunConfiguration" factoryName="Maven" nameIsGenerated="true">
      <MavenSettings>
        <option name="myGeneralSettings" />
        <option name="myRunnerSettings" />
        <option name="myRunnerParameters">
          <MavenRunnerParameters>
            <option name="profiles">
              <set />
            </option>
            <option name="goals">
              <list>
                <option value="tomcat7:run" />
              </list>
            </option>
            <option name="pomFileName" />
            <option name="profilesMap">
              <map />
            </option>
            <option name="resolveToWorkspace" value="false" />
            <option name="workingDirPath" value="$PROJECT_DIR$" />
          </MavenRunnerParameters>
        </option>
      </MavenSettings>
      <method v="2" />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="8a9b6cfd-e944-4fb0-ae36-60aab8d4829e" name="Default Changelist" comment="" />
      <created>1545722357055</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1545722357055</updated>
      <workItem from="1545722359406" duration="17210000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="17210000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="744" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info id="Designer" />
      <window_info id="Image Layers" />
      <window_info id="Capture Tool" />
      <window_info id="UI Designer" />
      <window_info id="Favorites" side_tool="true" />
      <window_info id="Web" side_tool="true" />
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.24962178" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Spring" />
      <window_info anchor="bottom" id="Terminal" />
      <window_info anchor="bottom" id="Docker" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" sideWeight="0.50075644" side_tool="true" weight="0.4855196" />
      <window_info anchor="bottom" id="Java Enterprise" />
      <window_info anchor="bottom" id="Database Changes" />
      <window_info anchor="bottom" id="Version Control" />
      <window_info anchor="bottom" id="Messages" sideWeight="0.49924356" weight="0.4855196" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.5587734" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.85519594" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="right" id="Maven" weight="0.32980332" />
      <window_info anchor="right" id="Palette" />
      <window_info anchor="right" id="Capture Analysis" />
      <window_info anchor="right" id="Database" />
      <window_info anchor="right" id="Palette&#9;" />
      <window_info anchor="right" id="Theme Preview" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.24962178" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
    <layout-to-restore>
      <window_info id="Designer" order="0" />
      <window_info id="Image Layers" order="1" />
      <window_info id="Capture Tool" order="2" />
      <window_info id="UI Designer" order="3" />
      <window_info id="Favorites" order="4" side_tool="true" />
      <window_info id="Web" order="5" side_tool="true" />
      <window_info active="true" content_ui="combo" id="Project" order="6" visible="true" weight="0.24962178" />
      <window_info id="Structure" order="7" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Spring" order="0" />
      <window_info anchor="bottom" id="Terminal" order="1" />
      <window_info anchor="bottom" id="Docker" order="2" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="3" sideWeight="0.50075644" side_tool="true" weight="0.4855196" />
      <window_info anchor="bottom" id="Messages" order="4" sideWeight="0.49924356" weight="0.4855196" />
      <window_info anchor="bottom" id="Java Enterprise" order="5" />
      <window_info anchor="bottom" id="Database Changes" order="6" />
      <window_info anchor="bottom" id="Version Control" order="7" />
      <window_info anchor="bottom" id="Message" order="8" />
      <window_info anchor="bottom" id="Find" order="9" />
      <window_info anchor="bottom" id="Run" order="10" weight="0.32879046" />
      <window_info anchor="bottom" id="Debug" order="11" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="12" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="13" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="14" />
      <window_info anchor="right" id="Maven" order="0" visible="true" weight="0.32980332" />
      <window_info anchor="right" id="Palette" order="1" />
      <window_info anchor="right" id="Capture Analysis" order="2" />
      <window_info anchor="right" id="Database" order="3" />
      <window_info anchor="right" id="Palette&#9;" order="4" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="6" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="7" weight="0.24962178" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="8" weight="0.25" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/nongfahSSM.iml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mybatis-config.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="17" column="8" selection-start-line="17" selection-start-column="8" selection-end-line="17" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/xyz/nongfah/User/service/UserService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="19" column="13" selection-start-line="19" selection-start-column="13" selection-end-line="19" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/db.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="4" column="14" selection-end-line="4" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/log4j.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="440">
          <caret line="23" column="36" selection-start-line="23" selection-start-column="36" selection-end-line="23" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/xyz/nongfah/User/dao/UserMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="9" column="17" selection-start-line="9" selection-start-column="17" selection-end-line="9" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2631">
          <caret line="202" selection-start-line="202" selection-end-line="202" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/xyz/nongfah/User/model/User.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="5" column="13" selection-start-line="5" selection-start-column="13" selection-end-line="5" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/WEB-INF/views/login.jsp">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/xyz/nongfah/User/dao/UserMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="242">
          <caret line="11" column="10" lean-forward="true" selection-start-line="11" selection-start-column="10" selection-end-line="11" selection-end-column="10" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/xyz/nongfah/User/mapper/UserMapper.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/xyz/nongfah/User/model/User.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="5" column="13" selection-start-line="5" selection-start-column="13" selection-end-line="5" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/xyz/nongfah/User/service/UserService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-607">
          <caret line="30" column="23" selection-start-line="30" selection-start-column="23" selection-end-line="30" selection-end-column="23" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/base/annotation/MybatisDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="10" column="18" selection-start-line="10" selection-start-column="18" selection-end-line="10" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/Spring-Task.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/xyz/nongfah/admin/SecurityInterceptor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-225">
          <caret line="14" column="13" selection-start-line="14" selection-start-column="13" selection-end-line="14" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/ContextApplication.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="22">
          <caret line="23" column="56" selection-start-line="23" selection-start-column="56" selection-end-line="23" selection-end-column="56" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/spring-mvc.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="501">
          <caret line="51" column="25" selection-start-line="51" selection-start-column="25" selection-end-line="51" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/WEB-INF/web.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-255">
          <caret line="47" column="35" lean-forward="true" selection-start-line="47" selection-start-column="35" selection-end-line="47" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/static/js/jquery-3.3.1.min.js">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/index.jsp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="471">
          <caret line="241" column="5" selection-start-line="239" selection-end-line="255" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/base/obiects/WebUser.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="66">
          <caret line="3" column="13" selection-start-line="3" selection-start-column="13" selection-end-line="3" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/base/timer/TimerTask.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="8" column="13" selection-start-line="8" selection-start-column="13" selection-end-line="8" selection-end-column="13" />
          <folding>
            <element signature="e#415#416#0" expanded="true" />
            <element signature="e#468#469#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/base/utils/CookieUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="176">
          <caret line="17" column="13" selection-start-line="17" selection-start-column="13" selection-end-line="17" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/base/utils/MD5.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="8" column="13" selection-start-line="8" selection-start-column="13" selection-end-line="8" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="198">
          <caret line="9" column="5" lean-forward="true" selection-start-line="9" selection-start-column="5" selection-end-line="9" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/base/utils/RandomValidateCode.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="22">
          <caret line="10" column="13" selection-start-line="10" selection-start-column="13" selection-end-line="10" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/xyz/nongfah/User/controller/UserController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-330">
          <caret line="21" column="29" lean-forward="true" selection-start-line="21" selection-start-column="29" selection-end-line="21" selection-end-column="29" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <last-edited>nongfahSSM:war</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.5" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>Web</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>nongfahSSM</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>lib</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>